Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class AttributeToScopeTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.tiles.AttributeToScopeTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.Tag

Deprecated. Is it still in use ?

public final class AttributeToScopeTag
extends javax.servlet.jsp.tagext.TagSupport

Custom tag that puts component's attributes in a scope (request, page, ...).

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `property` Deprecated. The property name to be exposed.
`private int` | `scope` Deprecated. The scope value.
`private java.lang.String` | `scopeName` Deprecated. The scope name.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AttributeToScopeTag()` Deprecated.

Method Summary
`int` | `doEndTag()` Deprecated. Clean up after processing this enumeration.
`int` | `doStartTag()` Deprecated. Expose the requested property from component context.
`java.lang.String` | `getProperty()` Deprecated. Return the property name.
`void` | `release()` Deprecated. Release all allocated resources.
`void` | `setProperty(java.lang.String property)` Deprecated. Set the property name.
`void` | `setScope(java.lang.String scope)` Deprecated. Set the scope.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scopeName

    private java.lang.String scopeName

  Deprecated.
  The scope name.

### scope

    private int scope

  Deprecated.
  The scope value.

### property

    private java.lang.String property

  Deprecated.
  The property name to be exposed.

Constructor Detail

### AttributeToScopeTag

    public AttributeToScopeTag()

  Deprecated.

Method Detail

### getProperty

    public java.lang.String getProperty()

  Deprecated.
  Return the property name.

### setProperty

    public void setProperty(java.lang.String property)

  Deprecated.
  Set the property name.

  Parameters:
    `property` - The property name

### setScope

    public void setScope(java.lang.String scope)

  Deprecated.
  Set the scope.

  Parameters:
    `scope` - The new scope

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated.
  Expose the requested property from component context.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Deprecated.
  Clean up after processing this enumeration.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Deprecated.
  Release all allocated resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation